import jingrow


def update_system_settings(args, commit=False):
	pg = jingrow.get_pg("System Settings")
	pg.update(args)
	pg.flags.ignore_mandatory = 1
	pg.save()
	if commit:
		jingrow.db.commit()


def get_system_setting(key):
	return jingrow.db.get_single_value("System Settings", key)


global_test_dependencies = ["User"]
